<?php

namespace domain\PointSale\UserPointSale;

use domain\_\AbstractModule;

class UserPointSaleModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            UserPointSaleDefinition::class,
            UserPointSaleRepository::class,
            UserPointSaleBuilder::class,
            UserPointSaleSolver::class
        ];
    }

    public function getDefinition(): UserPointSaleDefinition
    {
        return UserPointSaleDefinition::getInstance();
    }

    public function getRepository(): UserPointSaleRepository
    {
        return UserPointSaleRepository::getInstance();
    }

    public function getBuilder(): UserPointSaleBuilder
    {
        return UserPointSaleBuilder::getInstance();
    }

    public function getSolver(): UserPointSaleSolver
    {
        return UserPointSaleSolver::getInstance();
    }
}